#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  libssh2-1.9.0

- Next

  libtasn1-4.16.0

- Up
- Home

# libstatgrab-0.92

## Introduction to libstatgrab

This is a library that provides cross platform access to statistics about the system on which it's run. It's written in C and presents a selection of useful interfaces which can be used to access key system statistics. The current list of statistics includes CPU usage, memory utilisation, disk usage, process counts, network traffic, disk I/O, and more.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): http://www.mirrorservice.org/sites/ftp.i-scream.org/pub/i-scream/libstatgrab/libstatgrab-0.92.tar.gz

- Download (FTP): ftp://www.mirrorservice.org/sites/ftp.i-scream.org/pub/i-scream/libstatgrab/libstatgrab-0.92.tar.gz

- Download MD5 sum: 5362b2ddbec54b3901e7d70c22cda249

- Download size: 800 KB

- Estimated disk space required: 7.4 MB (with tests)

- Estimated build time: 0.1 SBU (add 1.6 SBU for tests)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libstatgrab

## Installation of libstatgrab

Install libstatgrab by running the following commands:

    ./configure --prefix=/usr   \
                --disable-static \
                --docdir=/usr/share/doc/libstatgrab-0.92 &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: saidar, statgrab, statgrab-make-mrtg-config, and statgrab-make-mrtg-index
Installed Library: libstatgrab.so
Installed Directories: /usr/share/doc/libstatgrab-0.92

### Short Descriptions

saidar | is a curses-based tool for viewing system statistics
statgrab | is a sysctl-style interface to system statistics
statgrab-make-mrtg-config | generates MRTG configuration
statgrab-make-mrtg-index | generates an XHTML index page from MRTG configuration files or stdin
`libstatgrab.so` | contains the libstatgrab API functions

Last updated on 2021-02-19 22:13:48 -0800

- Prev

  libssh2-1.9.0

- Next

  libtasn1-4.16.0

- Up
- Home